Skip to main content

List backup schedules belonging to a Project

GET/v2/projects/{projectId}/backup-schedules
API version
v2
Request method
GET
Operation ID
backup-list-project-backup-schedules

Request​

  • projectIdstringrequired

    ID of the Project to list BackupSchedules for.

Responses​

Format
application/json
Description

OK

  • Array[
    • *object
      • createdAtstring (date-time)
      • descriptionstring

        Description of this ProjectBackupSchedule.

      • idstring (uuid)required

        ID of this ProjectBackupSchedule.

      • isSystemBackupbooleanrequired

        True if this ProjectBackupSchedule was created and is managed by mittwald.

      • projectIdstring (uuid)required

        ID of the Project this ProjectBackupSchedule belongs to.

      • schedulestringrequired

        Execution schedule in crontab notation.

      • ttlstring

        TTL of the ProjectBackupSchedule as time string.

      • updatedAtstring (date-time)
    ]
Content-Type: application/json

[
{
"createdAt": "1985-10-26T01:21:00.000Z",
"description": "I'm a ProjectBackupSchedule",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"isSystemBackup": true,
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"schedule": "5 4 * * *",
"ttl": "7d",
"updatedAt": "1985-10-26T01:21:00.000Z"
}
]
{
"items": {
"properties": {
"createdAt": {
"format": "date-time",
"type": "string"
},
"description": {
"description": "Description of this ProjectBackupSchedule.",
"example": "I'm a ProjectBackupSchedule",
"type": "string"
},
"id": {
"description": "ID of this ProjectBackupSchedule.",
"format": "uuid",
"type": "string"
},
"isSystemBackup": {
"description": "True if this ProjectBackupSchedule was created and is managed by mittwald.",
"type": "boolean"
},
"projectId": {
"description": "ID of the Project this ProjectBackupSchedule belongs to.",
"format": "uuid",
"type": "string"
},
"schedule": {
"description": "Execution schedule in crontab notation.",
"example": "5 4 * * *",
"type": "string"
},
"ttl": {
"description": "TTL of the ProjectBackupSchedule as time string.",
"example": "7d",
"type": "string"
},
"updatedAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"projectId",
"schedule",
"isSystemBackup"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/backup-schedules
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.backup.listProjectBackupSchedules({
"projectId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Backup\ListProjectBackupSchedules\ListProjectBackupSchedulesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListProjectBackupSchedulesRequest(
projectId: "string"
));
$response = $client->backup()->listProjectBackupSchedules($request);

var_dump($response->getBody();

On this page